org.gnome.gtk

## Class Orientation

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.Orientation

-     public final class Orientation
      extends org.freedesktop.bindings.Constant

  Determine the orientation of some Widgets, such as Toolbar, that can be switched between horizontal and vertical orientation during execution.
  Since:
    4.0.4
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Orientation` | `HORIZONTAL` Horizontal orientation.
    `static Orientation` | `VERTICAL` Vertical orientation.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HORIZONTAL

          public static final Orientation HORIZONTAL

      Horizontal orientation.

    - #### VERTICAL

          public static final Orientation VERTICAL

      Vertical orientation.